<?php

/*
Plugin Name: RO Slugs
Plugin URI: http://www.zoso.ro/ro-slugs-plugin/
Description: Converteşte diacriticele în litere latine ca să nu se mai buşească slugurile.
Version: 2.0
Author: Vali Petcu
*/

add_filter('name_save_pre', 'ro_slugs', 0);
add_action('wp_footer', 'add_url');

function ro_slugs($slug = null) {

    //dacă vreţi să nu vă modifice automat slugul, comentaţi funcţia de mai jos
         if($slug) return $slug;

         $slug = trim(strtolower(stripslashes($_POST['post_title'])));         
         #if(!$slug) return 'super-url-ul-ce-ma-va-duce-pe-locul-1-in-google';
         $map = array(
            '/à|á|å|â|ă/i' => 'a',
            '/è|é|ê|ẽ|ë/i' => 'e',
            '/ì|í|î|Î/i' => 'i',
            '/ò|ó|ô|ø/i' => 'o',
            '/ù|ú|ů|û/i' => 'u',
            '/ș|ş|Ș|Ş/i'=>'s',
            '/ț|ţ|Ţ/i'=>'t',
            '/&icirc;/i' => 'i',
            '/&acirc;/i' => 'a',
            '/”|“|…|’|µ|º|„|»|–/i' => '-',
            '/[^[:alnum:]]/'=>' ',
            '/[^\w\s]/' => ' ',
            '/\\s+/' => '-',
#            '/\b([a-z]{1,2})\b/i'=>'',
            '/\-+/' => '-'
        );

  $slug = preg_replace(array_keys($map),array_values($map),$slug);

        $words = array('si','pentru','daca','un','pe','inca','cu','in','la','de','ca','dar','un','o','ce','a','sa','ma', 'si','sau','da','imi', 'iti','isi','prin','am','ii');
        $slug_array =  array_diff (explode("-", $slug), $words);

        $slug = implode('-',$slug_array);

        return trim($slug,'-');

}

function add_url($options='') {
	echo "\n\n<!--  Blogul foloseşte RO-SLUGS - http://www.zoso.ro/ro-slugs-plugin/  -->\n\n";
}


?>